#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 bytestring-strict-builder
version:              0.4.5.5
visibility:           public
id:                   bytestring-strict-builder-0.4.5.5-ISy42Q3aTOw8G2SProuB2R
key:                  bytestring-strict-builder-0.4.5.5-ISy42Q3aTOw8G2SProuB2R
license:              MIT
copyright:            (c) 2017, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/bytestring-strict-builder
synopsis:             An efficient strict bytestring builder
description:
    According to
    <https://github.com/nikita-volkov/bytestring-builders-benchmark the competition benchmarks>,
    this library provides on average the fastest builder of strict bytestrings.

    Practical benchmarks have proven it to be highly performant as well.
    The encoders from the \"postgresql-binary\" library have shown
    a stable performance improvement by factors of up to 10 after the migration
    from the standard builder to \"bytestring-strict-builder\".

category:             Text, ByteString, Builders, Serialization
abi:                  2ec3e8522fab944b3a646be5c5877409
exposed:              True
exposed-modules:      ByteString.StrictBuilder
hidden-modules:
    ByteString.StrictBuilder.Prelude
    ByteString.StrictBuilder.Population
    ByteString.StrictBuilder.Population.UncheckedShifting
    ByteString.StrictBuilder.UTF8

import-dirs:
    /usr/lib/ghc-9.0.2/site-local/bytestring-strict-builder-0.4.5.5

library-dirs:
    /usr/lib/ghc-9.0.2/site-local/bytestring-strict-builder-0.4.5.5

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/bytestring-strict-builder-0.4.5.5

hs-libraries:         HSbytestring-strict-builder-0.4.5.5-ISy42Q3aTOw8G2SProuB2R
depends:              base-4.15.1.0 bytestring-0.10.12.1
haddock-interfaces:
    /usr/share/doc/haskell-bytestring-strict-builder/html/bytestring-strict-builder.haddock

haddock-html:         /usr/share/doc/haskell-bytestring-strict-builder/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

